Skip to content
Open
Show file tree
Hide file tree
Changes from all commits
Commits
File filter

Filter by extension

Filter by extension

Conversations
Failed to load comments.
Loading
Jump to
Jump to file
Failed to load files.
Loading
Diff view
Diff view
7 changes: 7 additions & 0 deletions CHANGELOG.md
Original file line number Diff line number Diff line change
Expand Up @@ -5,6 +5,13 @@ The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

## [Unreleased]
### Fixed
- Marked fields that can be `null` as `nullable: true` in Mailbox endpoints:
- `draft`, `from[].linked_person_id`, `from[].linked_person_name` (and the same for `to`, `cc`, `bcc`) in `GET /v1/mailbox/mailMessages/{id}`
- `template_id`, plus the same `draft` and participant `linked_person_id` / `linked_person_name` fields, in `GET /v1/deals/{id}/mailMessages`, `GET /v1/persons/{id}/mailMessages` and `GET /v1/organizations/{id}/mailMessages`
- `snippet_sent`, `last_message_received_timestamp`, `archived_flag`, `drafts_parties`, `parties.to[].linked_person_id` and `parties.to[].linked_person_name` (and the same for `parties.from`) in `GET /v1/mailbox/mailThreads`, `GET /v1/mailbox/mailThreads/{id}` and `PUT /v1/mailbox/mailThreads/{id}`
- `from[].linked_person_id` and `from[].linked_person_name` (and the same for `to`, `cc`, `bcc`) in `GET /v1/mailbox/mailThreads/{id}/mailMessages`
- `deal_id` and `lead_id` in the `PUT /v1/mailbox/mailThreads/{id}` request body, where `null` unlinks the deal or lead

## [19.0.1](https://github.com/pipedrive/client-php/compare/19.0.0...19.0.1) (2026-10-09)
### Fixed
Expand Down
48 changes: 24 additions & 24 deletions docs/versions/v1/Api/PersonsApi.md
Original file line number Diff line number Diff line change
Expand Up @@ -50,7 +50,7 @@ $apiInstance = new Pipedrive\versions\v1\Api\PersonsApi(
new GuzzleHttp\Client(),
$config
);
$id = 56; // int | The ID of the person
$id = 56; // int | The unique ID of the person
$add_person_follower_request = new \Pipedrive\versions\v1\Model\AddPersonFollowerRequest(); // \Pipedrive\versions\v1\Model\AddPersonFollowerRequest

try {
Expand All @@ -65,7 +65,7 @@ try {

Name | Type | Description | Notes
------------- | ------------- | ------------- | -------------
**id** | **int**| The ID of the person |
**id** | **int**| The unique ID of the person |
**add_person_follower_request** | [**\Pipedrive\versions\v1\Model\AddPersonFollowerRequest**](../Model/AddPersonFollowerRequest.md)| | [optional]

### Return type
Expand Down Expand Up @@ -117,7 +117,7 @@ $apiInstance = new Pipedrive\versions\v1\Api\PersonsApi(
new GuzzleHttp\Client(),
$config
);
$id = 56; // int | The ID of the person
$id = 56; // int | The unique ID of the person
$file = "/path/to/file.txt"; // \SplFileObject | One image supplied in the multipart/form-data encoding
$crop_x = 56; // int | X coordinate to where start cropping form (in pixels)
$crop_y = 56; // int | Y coordinate to where start cropping form (in pixels)
Expand All @@ -136,7 +136,7 @@ try {

Name | Type | Description | Notes
------------- | ------------- | ------------- | -------------
**id** | **int**| The ID of the person |
**id** | **int**| The unique ID of the person |
**file** | **\SplFileObject****\SplFileObject**| One image supplied in the multipart/form-data encoding |
**crop_x** | **int**| X coordinate to where start cropping form (in pixels) | [optional]
**crop_y** | **int**| Y coordinate to where start cropping form (in pixels) | [optional]
Expand Down Expand Up @@ -192,7 +192,7 @@ $apiInstance = new Pipedrive\versions\v1\Api\PersonsApi(
new GuzzleHttp\Client(),
$config
);
$id = 56; // int | The ID of the person
$id = 56; // int | The unique ID of the person
$follower_id = 56; // int | The ID of the relationship between the follower and the person

try {
Expand All @@ -207,7 +207,7 @@ try {

Name | Type | Description | Notes
------------- | ------------- | ------------- | -------------
**id** | **int**| The ID of the person |
**id** | **int**| The unique ID of the person |
**follower_id** | **int**| The ID of the relationship between the follower and the person |

### Return type
Expand Down Expand Up @@ -259,7 +259,7 @@ $apiInstance = new Pipedrive\versions\v1\Api\PersonsApi(
new GuzzleHttp\Client(),
$config
);
$id = 56; // int | The ID of the person
$id = 56; // int | The unique ID of the person

try {
$result = $apiInstance->deletePersonPicture($id);
Expand All @@ -273,7 +273,7 @@ try {

Name | Type | Description | Notes
------------- | ------------- | ------------- | -------------
**id** | **int**| The ID of the person |
**id** | **int**| The unique ID of the person |

### Return type

Expand Down Expand Up @@ -324,7 +324,7 @@ $apiInstance = new Pipedrive\versions\v1\Api\PersonsApi(
new GuzzleHttp\Client(),
$config
);
$id = 56; // int | The ID of the person
$id = 56; // int | The unique ID of the person
$cursor = 'cursor_example'; // string | For pagination, the marker (an opaque string value) representing the first item on the next page
$limit = 56; // int | Items shown per page

Expand All @@ -340,7 +340,7 @@ try {

Name | Type | Description | Notes
------------- | ------------- | ------------- | -------------
**id** | **int**| The ID of the person |
**id** | **int**| The unique ID of the person |
**cursor** | **string**| For pagination, the marker (an opaque string value) representing the first item on the next page | [optional]
**limit** | **int**| Items shown per page | [optional]

Expand Down Expand Up @@ -393,7 +393,7 @@ $apiInstance = new Pipedrive\versions\v1\Api\PersonsApi(
new GuzzleHttp\Client(),
$config
);
$id = 56; // int | The ID of the person
$id = 56; // int | The unique ID of the person
$start = 0; // int | Pagination start
$limit = 56; // int | Items shown per page. Please note that a maximum value of 100 is allowed.
$sort = 'sort_example'; // string | Supported fields: `id`, `update_time`
Expand All @@ -410,7 +410,7 @@ try {

Name | Type | Description | Notes
------------- | ------------- | ------------- | -------------
**id** | **int**| The ID of the person |
**id** | **int**| The unique ID of the person |
**start** | **int**| Pagination start | [optional] [default to 0]
**limit** | **int**| Items shown per page. Please note that a maximum value of 100 is allowed. | [optional]
**sort** | **string**| Supported fields: `id`, `update_time` | [optional]
Expand Down Expand Up @@ -464,7 +464,7 @@ $apiInstance = new Pipedrive\versions\v1\Api\PersonsApi(
new GuzzleHttp\Client(),
$config
);
$id = 56; // int | The ID of the person
$id = 56; // int | The unique ID of the person

try {
$result = $apiInstance->getPersonFollowers($id);
Expand All @@ -478,7 +478,7 @@ try {

Name | Type | Description | Notes
------------- | ------------- | ------------- | -------------
**id** | **int**| The ID of the person |
**id** | **int**| The unique ID of the person |

### Return type

Expand Down Expand Up @@ -529,7 +529,7 @@ $apiInstance = new Pipedrive\versions\v1\Api\PersonsApi(
new GuzzleHttp\Client(),
$config
);
$id = 56; // int | The ID of the person
$id = 56; // int | The unique ID of the person
$start = 0; // int | Pagination start
$limit = 56; // int | Items shown per page
$include_body = new \Pipedrive\versions\v1\Model\\Pipedrive\versions\v1\Model\NumberBooleanDefault0(); // \Pipedrive\versions\v1\Model\NumberBooleanDefault0 | Whether to include the mail message body content in the response. `0` = Don't include, `1` = Include.
Expand All @@ -546,7 +546,7 @@ try {

Name | Type | Description | Notes
------------- | ------------- | ------------- | -------------
**id** | **int**| The ID of the person |
**id** | **int**| The unique ID of the person |
**start** | **int**| Pagination start | [optional] [default to 0]
**limit** | **int**| Items shown per page | [optional]
**include_body** | [**\Pipedrive\versions\v1\Model\NumberBooleanDefault0**](../Model/.md)| Whether to include the mail message body content in the response. `0` = Don't include, `1` = Include. | [optional]
Expand Down Expand Up @@ -600,7 +600,7 @@ $apiInstance = new Pipedrive\versions\v1\Api\PersonsApi(
new GuzzleHttp\Client(),
$config
);
$id = 56; // int | The ID of the person
$id = 56; // int | The unique ID of the person
$start = 0; // int | Pagination start
$limit = 56; // int | Items shown per page

Expand All @@ -616,7 +616,7 @@ try {

Name | Type | Description | Notes
------------- | ------------- | ------------- | -------------
**id** | **int**| The ID of the person |
**id** | **int**| The unique ID of the person |
**start** | **int**| Pagination start | [optional] [default to 0]
**limit** | **int**| Items shown per page | [optional]

Expand Down Expand Up @@ -669,7 +669,7 @@ $apiInstance = new Pipedrive\versions\v1\Api\PersonsApi(
new GuzzleHttp\Client(),
$config
);
$id = 56; // int | The ID of the person
$id = 56; // int | The unique ID of the person
$start = 0; // int | Pagination start
$limit = 56; // int | Items shown per page
$all_changes = 'all_changes_example'; // string | Whether to show custom field updates or not. 1 = Include custom field changes. If omitted returns changes without custom field updates.
Expand All @@ -687,7 +687,7 @@ try {

Name | Type | Description | Notes
------------- | ------------- | ------------- | -------------
**id** | **int**| The ID of the person |
**id** | **int**| The unique ID of the person |
**start** | **int**| Pagination start | [optional] [default to 0]
**limit** | **int**| Items shown per page | [optional]
**all_changes** | **string**| Whether to show custom field updates or not. 1 = Include custom field changes. If omitted returns changes without custom field updates. | [optional]
Expand Down Expand Up @@ -742,7 +742,7 @@ $apiInstance = new Pipedrive\versions\v1\Api\PersonsApi(
new GuzzleHttp\Client(),
$config
);
$id = 56; // int | The ID of the person
$id = 56; // int | The unique ID of the person

try {
$result = $apiInstance->getPersonUsers($id);
Expand All @@ -756,7 +756,7 @@ try {

Name | Type | Description | Notes
------------- | ------------- | ------------- | -------------
**id** | **int**| The ID of the person |
**id** | **int**| The unique ID of the person |

### Return type

Expand Down Expand Up @@ -807,7 +807,7 @@ $apiInstance = new Pipedrive\versions\v1\Api\PersonsApi(
new GuzzleHttp\Client(),
$config
);
$id = 56; // int | The ID of the person
$id = 56; // int | The unique ID of the person
$merge_persons_request = new \Pipedrive\versions\v1\Model\MergePersonsRequest(); // \Pipedrive\versions\v1\Model\MergePersonsRequest

try {
Expand All @@ -822,7 +822,7 @@ try {

Name | Type | Description | Notes
------------- | ------------- | ------------- | -------------
**id** | **int**| The ID of the person |
**id** | **int**| The unique ID of the person |
**merge_persons_request** | [**\Pipedrive\versions\v1\Model\MergePersonsRequest**](../Model/MergePersonsRequest.md)| | [optional]

### Return type
Expand Down
4 changes: 2 additions & 2 deletions docs/versions/v1/Model/BaseMailThread.md
Original file line number Diff line number Diff line change
Expand Up @@ -19,15 +19,15 @@ Name | Type | Description | Notes
**smart_bcc_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether one of the parties of the mail thread is Bcc | [optional]
**mail_link_tracking_enabled_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the link tracking of the mail thread is enabled | [optional]
**parties** | [**\Pipedrive\versions\v1\Model\BaseMailThreadAllOfParties**](BaseMailThreadAllOfParties.md) | | [optional]
**drafts_parties** | **object[]** | Parties of the drafted mail thread | [optional]
**drafts_parties** | **object[]** | Parties of the drafted mail thread. `null` if the mail thread has no drafts. | [optional]
**folders** | **string[]** | Folders in which messages from thread are being stored | [optional]
**version** | **float** | Version | [optional]
**snippet_draft** | **string** | A snippet from a draft | [optional]
**snippet_sent** | **string** | A snippet from a message sent | [optional]
**message_count** | **int** | An amount of messages | [optional]
**has_draft_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread has any drafts | [optional]
**has_sent_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread has messages sent | [optional]
**archived_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread is archived | [optional]
**archived_flag** | **float** | Whether the mail thread is archived. `null` if the mail thread has not been explicitly archived or unarchived in Pipedrive. | [optional]
**shared_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread is shared | [optional]
**external_deleted_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread has been deleted externally | [optional]
**first_message_to_me_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread was initialized by others | [optional]
Expand Down
4 changes: 2 additions & 2 deletions docs/versions/v1/Model/BaseMailThreadAllOf.md
Original file line number Diff line number Diff line change
Expand Up @@ -5,15 +5,15 @@
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**parties** | [**\Pipedrive\versions\v1\Model\BaseMailThreadAllOfParties**](BaseMailThreadAllOfParties.md) | | [optional]
**drafts_parties** | **object[]** | Parties of the drafted mail thread | [optional]
**drafts_parties** | **object[]** | Parties of the drafted mail thread. `null` if the mail thread has no drafts. | [optional]
**folders** | **string[]** | Folders in which messages from thread are being stored | [optional]
**version** | **float** | Version | [optional]
**snippet_draft** | **string** | A snippet from a draft | [optional]
**snippet_sent** | **string** | A snippet from a message sent | [optional]
**message_count** | **int** | An amount of messages | [optional]
**has_draft_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread has any drafts | [optional]
**has_sent_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread has messages sent | [optional]
**archived_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread is archived | [optional]
**archived_flag** | **float** | Whether the mail thread is archived. `null` if the mail thread has not been explicitly archived or unarchived in Pipedrive. | [optional]
**shared_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread is shared | [optional]
**external_deleted_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread has been deleted externally | [optional]
**first_message_to_me_flag** | [**NumberBooleanDefault0**](NumberBooleanDefault0.md) | Whether the mail thread was initialized by others | [optional]
Expand Down
2 changes: 1 addition & 1 deletion docs/versions/v1/Model/MailThreadParticipant.md
Original file line number Diff line number Diff line change
Expand Up @@ -10,7 +10,7 @@ Name | Type | Description | Notes
**email_address** | **string** | Email address of the mail thread participant | [optional]
**message_time** | **float** | Message time | [optional]
**linked_person_id** | **int** | ID of the linked person | [optional]
**linked_person_name** | **string** | Email of the linked person | [optional]
**linked_person_name** | **string** | Name of the linked person | [optional]
**mail_message_party_id** | **int** | ID of the mail message party | [optional]
**linked_organization_id** | **int** | Linked Organization ID | [optional]

Expand Down
Loading